Get Access Token

Use Access Tokens to access Calendly resources on behalf of an authenticated user. The Basic HTTP Authentication security scheme is for web clients only. To make a call to this endpoint: * Web clients: pass client_id and client_secret via Basic HTTP Authorization header * Native clients: include client_id as a body param within the API call Note: * Access Tokens expire after 2 hours. * Refresh Tokens don't expire until they are used. * Only 8 oauth tokens per user can be requested within a span of 1 minute

Authentication

AuthorizationBasic

Use client_id for username and client_secret for password.

Request

Web Token Request with Authorization CodeobjectRequired
The Authorization Code token request for web apps.
OR
Web Token Request with Refresh TokenobjectRequired
The Refresh Token request for a token for web apps.
OR
Native Token Request with Code VerifierobjectRequired
OR
Native Token Request with Refresh TokenobjectRequired
The Refresh Token request for a token for native apps.

Response

OK
token_typeenum

The token type (currently this is always “Bearer”)

access_tokenstring
The access token provided in the response
refresh_tokenstring
The refresh token provided in the response
created_atdouble
The UNIX timestamp in seconds when the event was created
expires_indouble
The number of seconds until the access token expires
ownerstringformat: "uri"

A link to the resource that owns the token (currently, this is always a user)

organizationstringformat: "uri"
A link to the owner's current organization
scopestringOptional
The scope of the access request

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error